Security Lab

Межсайтовый скриптинг в PmWiki

Дата публикации:28.11.2005
Всего просмотров:1428
Опасность:
Низкая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: PmWiki 2.x
Уязвимые версии: PmWiki 2.0-2.0.12

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует при обработке входных данных в параметре "q". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный HTML код в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

[pmwiki_basedir]/Site/Search?action=search&q=
TRY%20ANOTHER%20SEARCH%20NOW!
%20YES,%20YOU!'%20onMouseOver='alert(document.title);'%20

URL производителя: www.pmwiki.org

Решение: Установите последнюю версию (2.0.13) с сайта производителя.

Источник:

Ссылки: PmWiki 2.0.12 Cross Site Scripting